Node.js
import { Resend } from 'resend';
const resend = new Resend('re_xxxxxxxxx');
const { data, error } = await resend.domains.update({
id: 'b8617ad3-b712-41d9-81a0-f7c3d879314e',
openTracking: false,
clickTracking: true,
trackingSubdomain: 'links',
tls: 'enforced',
});
import { Resend } from 'resend';
const resend = new Resend('re_xxxxxxxxx');
const { data, error } = await resend.domains.update({
id: 'b8617ad3-b712-41d9-81a0-f7c3d879314e',
openTracking: false,
clickTracking: true,
trackingSubdomain: 'links',
tls: 'enforced',
});
{
"object": "domain",
"id": "b8617ad3-b712-41d9-81a0-f7c3d879314e"
}
Node.js
import { Resend } from 'resend';
const resend = new Resend('re_xxxxxxxxx');
const { data, error } = await resend.domains.update({
id: 'b8617ad3-b712-41d9-81a0-f7c3d879314e',
openTracking: false,
clickTracking: true,
trackingSubdomain: 'links',
tls: 'enforced',
});
import { Resend } from 'resend';
const resend = new Resend('re_xxxxxxxxx');
const { data, error } = await resend.domains.update({
id: 'b8617ad3-b712-41d9-81a0-f7c3d879314e',
openTracking: false,
clickTracking: true,
trackingSubdomain: 'links',
tls: 'enforced',
});
{
"object": "domain",
"id": "b8617ad3-b712-41d9-81a0-f7c3d879314e"
}
Documentation Index
Fetch the complete documentation index at: https://resend.com/docs/llms.txt
Use this file to discover all available pages before exploring further.
Path Parameters
Body Parameters
Track clicks within the body of each HTML email.
This setting is only applied if a tracking_subdomain is configured and verified.
Track the open rate of each email.
This setting is only applied if a tracking_subdomain is configured and verified.
Configure a custom subdomain for click and open tracking. For example, setting "links" on domain example.com will produce a CNAME record for links.example.com. Avoid setting values that have a negative connotation (e.g. tracking).This value can only be changed after it has been specified, never removed. This is to preserve any email links that may already be sent with the current tracking subdomain.After changing the tracking subdomain, a new DNS record must be verified, until then, the previous value is used. Do not remove old tracking DNS records, all previously used records remain active and are included in the response.Changes are limited to once every 24 hours.Learn more about custom tracking subdomains.
tls
string
default:"opportunistic"
opportunistic: Opportunistic TLS means that it always attempts to make a secure connection to the receiving mail server. If it can’t establish a secure connection, it sends the message unencrypted.enforced: Enforced TLS on the other hand, requires that the email communication must use TLS no matter what. If the receiving server does not support TLS, the email will not be sent.
Update the domain capabilities for sending and receiving emails. You can specify one or both fields. Omitted fields will keep their current value. At least one capability must remain enabled.
Show properties
Enable or disable sending emails from this domain. Possible values: 'enabled' | 'disabled'
Enable or disable receiving emails to this domain. Possible values: 'enabled' | 'disabled'